DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# TestObjectModulate

TestObject generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_TestObjectModulate ( in, out, modulation, modulationDepth )

## DATA TYPES

Output: sfloat

## FUNCTION

This function adds a sine modulation to a test object, with `modulation` the modulation frequency and `modulationDepth` the modulation depth.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_FloatArray` | `modulation` | Modulation Frequency
`dip_float` | `modulationDepth` | ModulationDepth

## SEE ALSO

`TestObjectCreate`, `TestObjectBlur`, `TestObjectAddNoise`

DIPlib on-line documentation | Function reference | Global function index